
From: Todd Poynor <tpoynor@mvista.com>

Yoann Vandoorselaere noticed an attempt to mount a JFFS2 filesystem
read-only mounts writeable instead.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/jffs2/super.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/jffs2/super.c~jffs2-mount-options-discarded fs/jffs2/super.c
--- 25/fs/jffs2/super.c~jffs2-mount-options-discarded	Wed Aug 18 16:12:11 2004
+++ 25-akpm/fs/jffs2/super.c	Wed Aug 18 16:12:11 2004
@@ -130,7 +130,7 @@ static struct super_block *jffs2_get_sb_
 		  mtd->index, mtd->name));
 
 	sb->s_op = &jffs2_super_operations;
-	sb->s_flags |= MS_NOATIME;
+	sb->s_flags = flags | MS_NOATIME;
 
 	ret = jffs2_do_fill_super(sb, data, (flags&MS_VERBOSE)?1:0);
 
_
